> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Listing: Entrata

POST https://api.propexo.com/v1/listings/entrata/
Content-Type: application/json

Create Listing: Entrata| Method                          |
| ------------------------------- |
| propertyunits/sendPropertyUnits |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/entrata/listings/create-listing-entrata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_listings_entrata__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `lease_period_id` (string, required) — The Propexo unique identifier for the lease period
- `floor_plan_id` (string, required) — The Propexo unique identifier for the floor plan
- `unit_type_id` (string, required) — The Propexo unique identifier for the unit type
- `city` (string, required) — The city associated with the listing
- `country` (string, required) — The country associated with the listing
- `date_available` (V1ListingsEntrataPostInputDateAvailable, required) — The date that the listing becomes available
- `number` (string, required) — The unit number
- `state` (string, required) — The state associated with the listing
- `street_address_1` (string, required) — The first address line associated with the listing
- `zip` (string, required) — The zip code associated with the listing
- `amenity_ids` (list of string, optional) — The Propexo unique identifier for the amenity
- `bathrooms` (integer, optional) — The number of bathrooms associated with the listing
- `bedrooms` (integer, optional) — The number of bedrooms associated with the listing
- `is_furnished` (boolean, optional) — Whether the listing is furnished
- `square_feet` (double, optional) — The square footage of the listing
- `street_address_2` (string, optional) — The second address line associated with the listing

## Response

### 200

Successful response

- `meta` (V1ListingsEntrataPostOutputMeta, required)
- `result` (V1ListingsEntrataPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ListingsEntrataPostInputDateAvailable

The date that the listing becomes available

### V1ListingsEntrataPostOutputMeta

- `job_id` (string, required)

### V1ListingsEntrataPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `lease_period_id` (string, required) — The Propexo unique identifier for the lease period
- `floor_plan_id` (string, required) — The Propexo unique identifier for the floor plan
- `unit_type_id` (string, required) — The Propexo unique identifier for the unit type
- `bathrooms` (integer, required, nullable) — The number of bathrooms associated with the listing
- `bedrooms` (integer, required, nullable) — The number of bedrooms associated with the listing
- `city` (string, required) — The city associated with the listing
- `country` (string, required) — The country associated with the listing
- `date_available` (V1ListingsEntrataPostOutputResultDateAvailable, required, nullable)
- `is_furnished` (boolean, required, nullable) — Whether the listing is furnished
- `number` (string, required) — The unit number
- `square_feet` (double, required, nullable) — The square footage of the listing
- `state` (string, required) — The state associated with the listing
- `street_address_1` (string, required) — The first address line associated with the listing
- `street_address_2` (string, required, nullable) — The second address line associated with the listing
- `zip` (string, required) — The zip code associated with the listing
- `amenity_ids` (list of string, optional) — The Propexo unique identifier for the amenity

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ListingsEntrataPostOutputResultDateAvailable

## Examples

**Request**

```json
{
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789",
  "lease_period_id": "lease-2024Q2",
  "floor_plan_id": "fp-3bed-2bath",
  "unit_type_id": "ut-apt-deluxe",
  "city": "Austin",
  "country": "USA",
  "date_available": "2024-01-15T09:30:00Z",
  "number": "12B",
  "state": "TX",
  "street_address_1": "1234 Maple Avenue",
  "zip": "78701"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-001"
  },
  "result": {
    "integration_id": "intg-987654321",
    "property_id": "prop-123456789",
    "lease_period_id": "lease-2024Q2",
    "floor_plan_id": "fp-3bed-2bath",
    "unit_type_id": "ut-apt-deluxe",
    "bathrooms": 2,
    "bedrooms": 3,
    "city": "Austin",
    "country": "USA",
    "date_available": "2024-01-15T09:30:00Z",
    "is_furnished": true,
    "number": "12B",
    "square_feet": 1450.5,
    "state": "TX",
    "street_address_1": "1234 Maple Avenue",
    "street_address_2": "Unit 12B",
    "zip": "78701",
    "amenity_ids": [
      "amenity-pool",
      "amenity-gym",
      "amenity-parking"
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/listings/entrata/"

payload = {
    "integration_id": "intg-987654321",
    "property_id": "prop-123456789",
    "lease_period_id": "lease-2024Q2",
    "floor_plan_id": "fp-3bed-2bath",
    "unit_type_id": "ut-apt-deluxe",
    "city": "Austin",
    "country": "USA",
    "date_available": "2024-01-15T09:30:00Z",
    "number": "12B",
    "state": "TX",
    "street_address_1": "1234 Maple Avenue",
    "zip": "78701"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/listings/entrata/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-987654321","property_id":"prop-123456789","lease_period_id":"lease-2024Q2","floor_plan_id":"fp-3bed-2bath","unit_type_id":"ut-apt-deluxe","city":"Austin","country":"USA","date_available":"2024-01-15T09:30:00Z","number":"12B","state":"TX","street_address_1":"1234 Maple Avenue","zip":"78701"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/listings/entrata/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"lease_period_id\": \"lease-2024Q2\",\n  \"floor_plan_id\": \"fp-3bed-2bath\",\n  \"unit_type_id\": \"ut-apt-deluxe\",\n  \"city\": \"Austin\",\n  \"country\": \"USA\",\n  \"date_available\": \"2024-01-15T09:30:00Z\",\n  \"number\": \"12B\",\n  \"state\": \"TX\",\n  \"street_address_1\": \"1234 Maple Avenue\",\n  \"zip\": \"78701\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/listings/entrata/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"lease_period_id\": \"lease-2024Q2\",\n  \"floor_plan_id\": \"fp-3bed-2bath\",\n  \"unit_type_id\": \"ut-apt-deluxe\",\n  \"city\": \"Austin\",\n  \"country\": \"USA\",\n  \"date_available\": \"2024-01-15T09:30:00Z\",\n  \"number\": \"12B\",\n  \"state\": \"TX\",\n  \"street_address_1\": \"1234 Maple Avenue\",\n  \"zip\": \"78701\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/listings/entrata/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"lease_period_id\": \"lease-2024Q2\",\n  \"floor_plan_id\": \"fp-3bed-2bath\",\n  \"unit_type_id\": \"ut-apt-deluxe\",\n  \"city\": \"Austin\",\n  \"country\": \"USA\",\n  \"date_available\": \"2024-01-15T09:30:00Z\",\n  \"number\": \"12B\",\n  \"state\": \"TX\",\n  \"street_address_1\": \"1234 Maple Avenue\",\n  \"zip\": \"78701\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/listings/entrata/', [
  'body' => '{
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789",
  "lease_period_id": "lease-2024Q2",
  "floor_plan_id": "fp-3bed-2bath",
  "unit_type_id": "ut-apt-deluxe",
  "city": "Austin",
  "country": "USA",
  "date_available": "2024-01-15T09:30:00Z",
  "number": "12B",
  "state": "TX",
  "street_address_1": "1234 Maple Avenue",
  "zip": "78701"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/listings/entrata/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"lease_period_id\": \"lease-2024Q2\",\n  \"floor_plan_id\": \"fp-3bed-2bath\",\n  \"unit_type_id\": \"ut-apt-deluxe\",\n  \"city\": \"Austin\",\n  \"country\": \"USA\",\n  \"date_available\": \"2024-01-15T09:30:00Z\",\n  \"number\": \"12B\",\n  \"state\": \"TX\",\n  \"street_address_1\": \"1234 Maple Avenue\",\n  \"zip\": \"78701\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789",
  "lease_period_id": "lease-2024Q2",
  "floor_plan_id": "fp-3bed-2bath",
  "unit_type_id": "ut-apt-deluxe",
  "city": "Austin",
  "country": "USA",
  "date_available": "2024-01-15T09:30:00Z",
  "number": "12B",
  "state": "TX",
  "street_address_1": "1234 Maple Avenue",
  "zip": "78701"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/listings/entrata/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```